//=============================================================================
// wpnthrow (public class)
// Author: }TCP{Wolf Date: 2008-12-25 Version: 0
//
// This is a tiny mutator which allows you to enable / disable weapon throw
// on weapons.
// Published under Code School for the general public.
// Requested by Pitbull.
//
// Possible additions for modders:
// - make weapon classes selectable which stuff to throw and which not
// ============================================================================

class wpnthrow extends Mutator;

// lets keep it simple :-)
var() config bool bAllowWeaponThrowingForAllWeapons;


function bool IsRelevant(Actor Other, out byte bSuperRelevant)
{
	if (Other.IsA('Weapon'))
		Weapon(Other).bCanThrow = bAllowWeaponThrowingForAllWeapons;

	return super.IsRelevant(Other, bSuperRelevant);
}

defaultproperties
{
	bAllowWeaponThrowingForAllWeapons=false
}
